const coral = @import("coral");

const flow = @import("flow");

events: *const Events,
target_frame_time: f64,
is_running: bool,

pub const Events = struct {
	load: flow.World.Event,
	pre_update: flow.World.Event,
	update: flow.World.Event,
	post_update: flow.World.Event,
	render: flow.World.Event,
	finish: flow.World.Event,
	exit: flow.World.Event,
};

const Self = @This();

pub fn quit(self: *Self) void {
	self.is_running = false;
}

